module Html5bp
  class LayoutGenerator < Rails::Generators::Base
    source_root File.expand_path("../templates", __FILE__)

    desc "Adds the application layout from HTML 5 Boilerplate gem"
    def generate_layout
      template "index.html.erb", "app/views/layouts/application.html.erb"
      insert_into_file 'app/assets/stylesheets/application.css', "*= require 'main'\n *= require 'normalize'\n ", before: "*= require_tree ."
      insert_into_file 'app/assets/javascripts/application.js', "\n//= require plugins", after: "//= require turbolinks"
      create_file 'config/initializers/assets.rb', "Rails.application.config.assets.precompile += %w( modernizr-2.6.2.min.js )"
    end
  end
end
